textproc/libxml++ - The NetBSD Packages Collection

C++ wrapper for the libxml XML parser library (2.6 API)

libxml++ is a C++ wrapper for the libxml XML parser library. It has SAX and
DOM-like APIs, but does not attempt to conform exactly to the DOM
specifications because they are not aimed at C++. Its API is much simpler
than the underlying libxml C API.

This package follows the libxml++-2.6 API.

Build dependencies

pkgtools/cwrappers devel/glib2-tools devel/libtool-base devel/gmake lang/perl5 devel/pkgconf

Runtime dependencies

devel/glibmm textproc/libxml2 devel/glibmm textproc/libxml2

Binary packages

OSArchitectureVersion
NetBSD 8.0earmv7hflibxml++-2.40.1nb9.tgz
NetBSD 8.0earmv7hflibxml++-2.40.1nb7.tgz
NetBSD 8.0earmv7hflibxml++-2.40.1nb9.tgz
NetBSD 8.0i386libxml++-2.40.1nb7.tgz
NetBSD 8.0i386libxml++-2.40.1nb9.tgz
NetBSD 8.0powerpclibxml++-2.40.1nb7.tgz
NetBSD 8.0powerpclibxml++-2.40.1nb9.tgz
NetBSD 8.0powerpclibxml++-2.40.1nb9.tgz
NetBSD 8.0powerpclibxml++-2.40.1nb9.tgz
NetBSD 8.0x86_64libxml++-2.40.1nb7.tgz
NetBSD 8.0x86_64libxml++-2.40.1nb9.tgz
NetBSD 9.0aarch64libxml++-2.40.1nb9.tgz
NetBSD 9.0aarch64libxml++-2.40.1nb7.tgz
NetBSD 9.0aarch64libxml++-2.40.1nb9.tgz
NetBSD 9.0alphalibxml++-2.40.1nb9.tgz
NetBSD 9.0alphalibxml++-2.40.1nb7.tgz
NetBSD 9.0alphalibxml++-2.40.1nb9.tgz
NetBSD 9.0earmlibxml++-2.40.1nb7.tgz
NetBSD 9.0earmlibxml++-2.40.1nb9.tgz
NetBSD 9.0earmlibxml++-2.40.1nb9.tgz
NetBSD 9.0earmv6hflibxml++-2.40.1nb9.tgz
NetBSD 9.0earmv6hflibxml++-2.40.1nb7.tgz
NetBSD 9.0earmv6hflibxml++-2.40.1nb9.tgz
NetBSD 9.0earmv7hflibxml++-2.40.1nb9.tgz
NetBSD 9.0earmv7hflibxml++-2.40.1nb7.tgz
NetBSD 9.0earmv7hflibxml++-2.40.1nb9.tgz
NetBSD 9.0earmv7hflibxml++-2.40.1nb9.tgz
NetBSD 9.0i386libxml++-2.40.1nb7.tgz
NetBSD 9.0i386libxml++-2.40.1nb9.tgz
NetBSD 9.0m68klibxml++-2.40.1nb6.tgz
NetBSD 9.0m68klibxml++-2.40.1nb9.tgz
NetBSD 9.0m68klibxml++-2.40.1nb9.tgz
NetBSD 9.0mips64eblibxml++-2.40.1nb9.tgz
NetBSD 9.0mips64eblibxml++-2.40.1nb6.tgz
NetBSD 9.0mips64eblibxml++-2.40.1nb7.tgz
NetBSD 9.0mips64eblibxml++-2.40.1nb7.tgz
NetBSD 9.0mips64eblibxml++-2.40.1nb9.tgz
NetBSD 9.0mipsellibxml++-2.40.1nb9.tgz
NetBSD 9.0mipsellibxml++-2.40.1nb7.tgz
NetBSD 9.0mipsellibxml++-2.40.1nb7.tgz
NetBSD 9.0mipsellibxml++-2.40.1nb9.tgz
NetBSD 9.0powerpclibxml++-2.40.1nb9.tgz
NetBSD 9.0powerpclibxml++-2.40.1nb7.tgz
NetBSD 9.0powerpclibxml++-2.40.1nb9.tgz
NetBSD 9.0powerpclibxml++-2.40.1nb9.tgz
NetBSD 9.0sh3ellibxml++-2.40.1nb9.tgz
NetBSD 9.0sh3ellibxml++-2.40.1nb7.tgz
NetBSD 9.0sh3ellibxml++-2.40.1nb7.tgz
NetBSD 9.0sh3ellibxml++-2.40.1nb9.tgz
NetBSD 9.0sparc64libxml++-2.40.1nb9.tgz
NetBSD 9.0sparc64libxml++-2.40.1nb7.tgz
NetBSD 9.0sparc64libxml++-2.40.1nb9.tgz
NetBSD 9.0sparclibxml++-2.40.1nb9.tgz
NetBSD 9.0sparclibxml++-2.40.1nb6.tgz
NetBSD 9.0sparclibxml++-2.40.1nb7.tgz
NetBSD 9.0sparclibxml++-2.40.1nb7.tgz
NetBSD 9.0sparclibxml++-2.40.1nb9.tgz
NetBSD 9.0x86_64libxml++-2.40.1nb9.tgz
NetBSD 9.0x86_64libxml++-2.40.1nb9.tgz
NetBSD 9.0x86_64libxml++-2.40.1nb7.tgz
NetBSD 9.0x86_64libxml++-2.40.1nb9.tgz
NetBSD 9.0x86_64libxml++-2.40.1nb9.tgz

Binary packages can be installed with the high-level tool pkgin (which can be installed with pkg_add) or pkg_add(1) (installed by default). The NetBSD packages collection is also designed to permit easy installation from source.

Available build options

(none)

Known vulnerabilities

The pkg_admin audit command locates any installed package which has been mentioned in security advisories as having vulnerabilities.

Please note the vulnerabilities database might not be fully accurate, and not every bug is exploitable with every configuration.


Problem reports, updates or suggestions for this package should be reported with send-pr.